[run]
omit =
    */__main__.py
    */compat.py

[report]
exclude_lines =
    pragma: no cover
    @abstract
    @abc.abtractmethod
    (abc.ABC):
    def __repr__
    raise NotImplementedError
    if __name__ == "__main__":
    if __name__ == '__main__':
    def __str__
    \s+pass\s+
    logging.info
    logging.warning
    logging.debug
    logging.error
    logger.info
    logger.debug
    logger.warning
    logger.error
